{
  pkgs,
  inputs,
  ...
}:
{
  programs = {
    neovim = {
      enable = true;
      defaultEditor = true;
    };
    firefox.enable = false;
    dconf.enable = true;
    seahorse.enable = true;
    fuse.userAllowOther = true;
    mtr.enable = true;
    gnupg.agent = {
      enable = true;
      enableSSHSupport = true;
    };
  };

  nixpkgs.config.allowUnfree = true;

  environment.systemPackages = with pkgs; [
    appimage-run
    brightnessctl
    cliphist
    docker-compose
    duf
    dysk
    eza
    ffmpeg
    file-roller
    gedit
    greetd.tuigreet
    htop
    eog
    inxi
    killall
    libnotify
    lm_sensors
    lshw
    mesa-demos
    ncdu
    nixfmt-rfc-style
    pavucontrol
    pciutils
    pkg-config
    playerctl
    ripgrep
    socat
    unrar
    unzip
    usbutils
    uwsm
    waypaper
    wget
  ];
}
